GNU/Linux Administration - Bug #332

Error 500 While Trying to Access Any Web Service
02/10/2014 08:05 AM - Daniel Curtis
Description

| encountered an error while trying to access one of the web services provided. | recently did an upgrade of the servers, so | suspect
that caused the problems. First, | checked to see if the error was affecting any other web sites, to find that all the web sites had been
returning error 500; a server side error. So | checked the log file for the web site to see the following error:

tail /var/www/path/to/web/logfile
[Mon Feb 10 07:12:12 2014] [warn] [client 192.168.0.80] (104)Connection reset by peer: mod_fcgid: error reading data from

FastCGl server
[Mon Feb 10 07:12:12 2014] [error] [client 192.168.0.80] Premature end of script headers: index.php

| then checked the apache log file, to see it had an error:

tail /var/log/apache2/error.log

[2014-02-10 07:17:06]: uid: (1002/user1) gid: (1003/group1) cmd: .php-fcgi-starter

[2014-02-10 07:17:06]: file is writable by others: (/var/www/php-fcgi-scripts/user1/.php-fcgi-starter)

| then checked the permissions of the FastCGl starter script

1ls -la /var/www/php-fcgi-scripts/userl/.php-fcgi-starter

mv-pa—— 1 user1 group1 890 Feb 7 17:08 .php-fcgi-starter

Fix this by removing the group writeable permission from the FCGI starter script:

chmod g-w /var/www/php-fcgi-scripts/userl/.php-fcgi-starter

| tested to see if the web site came back, only to get another error 500. | checked the apache2 logfile again to see a different error:
tail /var/log/apache2/error.log

[2014-02-10 07:27:21]: uid: (1002/user1) gid: (1003/group1) cmd: .php-fcgi-starter

[2014-02-10 07:27:21]: file has no execute permission: (/var/www/php-fcgi-scripts/user1/.php-fcgi-starter)

Fix this by adding user execution permissions to the FastCGl script:

chmod 740 /var/www/php-fcgi-scripts/userl/.php-fcgi-starter

This fixed the problem.
#1 - 02/24/2014 07:52 AM - Daniel Curtis

- Status changed from Resolved to Closed

#2 - 02/16/2015 02:04 PM - Daniel Curtis
- Project changed from 40 to GNU/Linux Administration
- Category set to Web Server
